Bug 68040 - python 2 from limbo needs db4 buildrequires
python 2 from limbo needs db4 buildrequires
Product: Red Hat Public Beta
Classification: Retired
Component: python2 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Depends On:
Blocks: 67218
  Show dependency treegraph
Reported: 2002-07-05 14:05 EDT by Dan Burcaw
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-07-08 01:08:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dan Burcaw 2002-07-05 14:05:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:0.9.9) Gecko/20020604

Description of problem:
python 2 clearly needs db 4 to build, so why not add a buildrequires?
I realize that this package may get pulled in by other dependencies, 
but it would be nice to have a bit more strict buildrequires.

build output:
/usr/bin/ld: cannot find -ldb-4.0
collect2: ld returned 1 exit status

Steps to Reproduce:
1.Try to build python 2 without db4 installed.
Comment 1 Trond Eivind Glomsrxd 2002-07-08 16:29:04 EDT
Fixed in 2.2.1-11

Note You need to log in before you can comment on or make changes to this bug.